Subject: Re: bug#53656: [PATCH 0/2] 2 Julia packages
From: Efraim Flashner <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Sun, 13 Feb 2022 12:23:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Feb 10, 2022 at 05:22:33PM +0100, zimoun wrote:
> Hi Efraim,
> 
> Both patches look good to me.
> 
> 
> I notice this warning:
> 
> --8<---------------cut here---------------start------------->8---
> ┌ Warning: Package OptimTestProblems does not have LinearAlgebra in its dependencies:
> │ - If you have OptimTestProblems checked out for development and have
> │   added LinearAlgebra as a dependency but haven't updated your primary
> │   environment's manifest file, try `Pkg.resolve()`.
> │ - Otherwise you may need to report an issue with OptimTestProblems
> └ Loading LinearAlgebra into OptimTestProblems from project dependency, future warnings for OptimTestProblems are suppressed.
> --8<---------------cut here---------------end--------------->8---

It ends up not being a problem, but I'm left wondering if we should
extend the #:julia-package-foo arguments to add more fields or if we
should just add a custom phase to build a Package.toml that includes all
the fields needed.

> and...
> 
> 
> On Mon, 31 Jan 2022 at 12:40, Efraim Flashner <[email-masked]> wrote:
> 
> > * gnu/packages/julia-xyz.scm (julia-optim): New variable.
> 
> [...]
> 
> > +  #:use-module (guix gexp)
> 
> [...]
> 
> > +       #:phases
> > +       #~(modify-phases %standard-phases
> > +           (add-after 'unpack 'adjust-tests
> > +             (lambda _
> > +               ;; TODO: Figure out why this test fails.
> > +               (substitute* "test/runtests.jl"
> > +                 ((".*l_bfgs.*") "")))))))
> 
> ...I am thinking loudly if this gexp is required.  There are other many
> similar patter without a gexp.  Therefore, for consistency with the
> rest, I would be in favor to switch to regular modification of phases.
> Or let me know if this is becoming the new patter and I would adapt for
> the others.

It's definitely the new pattern we're using now. I suppose it's not
really necessary here, but having more instances of it throughout the
codebase also makes it easier to search for examples when others are
looking to use or modify gexps.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted